http
PUT /api/data/v1/streams/{streamId} HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.postgresql.partition",
"version": "0"
},
"configuration": [
{
"name": "fetch_size",
"value": "None",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 1
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "postgresql-partition"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}curl --request PUT \
--url https://{instance}.domo.com/api/data/v1/streams/{streamId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.postgresql.partition",
"version": "0"
},
"configuration": [
{
"name": "fetch_size",
"value": "None",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 1
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "postgresql-partition"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}
'import requests
url = "https://{instance}.domo.com/api/data/v1/streams/{streamId}"
payload = {
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.postgresql.partition",
"version": "0"
},
"configuration": [
{
"name": "fetch_size",
"value": "None",
"type": "string",
"category": "METADATA"
}
],
"account": { "id": 1 },
"updateMethod": "APPEND",
"dataProvider": { "key": "postgresql-partition" },
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transport: {
type: 'CONNECTOR',
description: 'com.domo.connector.postgresql.partition',
version: '0'
},
configuration: [{name: 'fetch_size', value: 'None', type: 'string', category: 'METADATA'}],
account: {id: 1},
updateMethod: 'APPEND',
dataProvider: {key: 'postgresql-partition'},
dataSource: {name: 'hello world', description: 'config works?'},
advancedScheduleJson: '{"type": "MANUAL", "timezone": "UTC"}'
})
};
fetch('https://{instance}.domo.com/api/data/v1/streams/{streamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Streams
Stream Update
Updates the configuration of an existing data stream
PUT
/
api
/
data
/
v1
/
streams
/
{streamId}
http
PUT /api/data/v1/streams/{streamId} HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.postgresql.partition",
"version": "0"
},
"configuration": [
{
"name": "fetch_size",
"value": "None",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 1
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "postgresql-partition"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}Authorizations
Developer token obtained from Domo
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
APPEND, REPLACE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200
Stream updated successfully
⌘I